// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.35.2
// 	protoc        (unknown)
// source: connectrpc/guesses/v1/events.proto

package guessesv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Enum for different types of room events
type EventType int32

const (
	EventType_EVENT_TYPE_UNSPECIFIED         EventType = 0
	EventType_EVENT_TYPE_GUESS_SUBMITTED     EventType = 1
	EventType_EVENT_TYPE_LEADERBOARD_UPDATED EventType = 3
)

// Enum value maps for EventType.
var (
	EventType_name = map[int32]string{
		0: "EVENT_TYPE_UNSPECIFIED",
		1: "EVENT_TYPE_GUESS_SUBMITTED",
		3: "EVENT_TYPE_LEADERBOARD_UPDATED",
	}
	EventType_value = map[string]int32{
		"EVENT_TYPE_UNSPECIFIED":         0,
		"EVENT_TYPE_GUESS_SUBMITTED":     1,
		"EVENT_TYPE_LEADERBOARD_UPDATED": 3,
	}
)

func (x EventType) Enum() *EventType {
	p := new(EventType)
	*p = x
	return p
}

func (x EventType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EventType) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_guesses_v1_events_proto_enumTypes[0].Descriptor()
}

func (EventType) Type() protoreflect.EnumType {
	return &file_connectrpc_guesses_v1_events_proto_enumTypes[0]
}

func (x EventType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EventType.Descriptor instead.
func (EventType) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{0}
}

// Message to request events for a specific room
type SubscribeGuessesEventsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RoomId string `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
}

func (x *SubscribeGuessesEventsRequest) Reset() {
	*x = SubscribeGuessesEventsRequest{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeGuessesEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeGuessesEventsRequest) ProtoMessage() {}

func (x *SubscribeGuessesEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeGuessesEventsRequest.ProtoReflect.Descriptor instead.
func (*SubscribeGuessesEventsRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{0}
}

func (x *SubscribeGuessesEventsRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type SubscribeGuessesEventsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *Event `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SubscribeGuessesEventsResponse) Reset() {
	*x = SubscribeGuessesEventsResponse{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeGuessesEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeGuessesEventsResponse) ProtoMessage() {}

func (x *SubscribeGuessesEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeGuessesEventsResponse.ProtoReflect.Descriptor instead.
func (*SubscribeGuessesEventsResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{1}
}

func (x *SubscribeGuessesEventsResponse) GetData() *Event {
	if x != nil {
		return x.Data
	}
	return nil
}

type SubscribeAllGuessesEventsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SubscribeAllGuessesEventsRequest) Reset() {
	*x = SubscribeAllGuessesEventsRequest{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeAllGuessesEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeAllGuessesEventsRequest) ProtoMessage() {}

func (x *SubscribeAllGuessesEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeAllGuessesEventsRequest.ProtoReflect.Descriptor instead.
func (*SubscribeAllGuessesEventsRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{2}
}

type SubscribeAllGuessesEventsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *Event `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SubscribeAllGuessesEventsResponse) Reset() {
	*x = SubscribeAllGuessesEventsResponse{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeAllGuessesEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeAllGuessesEventsResponse) ProtoMessage() {}

func (x *SubscribeAllGuessesEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeAllGuessesEventsResponse.ProtoReflect.Descriptor instead.
func (*SubscribeAllGuessesEventsResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{3}
}

func (x *SubscribeAllGuessesEventsResponse) GetData() *Event {
	if x != nil {
		return x.Data
	}
	return nil
}

type GuessEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId     string `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	QuestionId string `protobuf:"bytes,2,opt,name=question_id,json=questionId,proto3" json:"question_id,omitempty"`
	Correct    bool   `protobuf:"varint,3,opt,name=correct,proto3" json:"correct,omitempty"`
}

func (x *GuessEvent) Reset() {
	*x = GuessEvent{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GuessEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GuessEvent) ProtoMessage() {}

func (x *GuessEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GuessEvent.ProtoReflect.Descriptor instead.
func (*GuessEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{4}
}

func (x *GuessEvent) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *GuessEvent) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

func (x *GuessEvent) GetCorrect() bool {
	if x != nil {
		return x.Correct
	}
	return false
}

type GenericEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *GenericEvent) Reset() {
	*x = GenericEvent{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GenericEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenericEvent) ProtoMessage() {}

func (x *GenericEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenericEvent.ProtoReflect.Descriptor instead.
func (*GenericEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{5}
}

type LeaderboardUpdatedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *LeaderboardData `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *LeaderboardUpdatedEvent) Reset() {
	*x = LeaderboardUpdatedEvent{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LeaderboardUpdatedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LeaderboardUpdatedEvent) ProtoMessage() {}

func (x *LeaderboardUpdatedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LeaderboardUpdatedEvent.ProtoReflect.Descriptor instead.
func (*LeaderboardUpdatedEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{6}
}

func (x *LeaderboardUpdatedEvent) GetData() *LeaderboardData {
	if x != nil {
		return x.Data
	}
	return nil
}

// Message representing a room event
type Event struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EventId     string                 `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	EventTime   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=event_time,json=eventTime,proto3" json:"event_time,omitempty"`
	EventType   EventType              `protobuf:"varint,3,opt,name=event_type,json=eventType,proto3,enum=connectrpc.guesses.v1.EventType" json:"event_type,omitempty"`
	RoomId      string                 `protobuf:"bytes,4,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	Description *string                `protobuf:"bytes,5,opt,name=description,proto3,oneof" json:"description,omitempty"`
	// Types that are assignable to Event:
	//
	//	*Event_GenericEvent
	//	*Event_GuessEvent
	//	*Event_LeaderboardUpdatedEvent
	Event isEvent_Event `protobuf_oneof:"event"`
}

func (x *Event) Reset() {
	*x = Event{}
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Event) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Event) ProtoMessage() {}

func (x *Event) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_events_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Event.ProtoReflect.Descriptor instead.
func (*Event) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_events_proto_rawDescGZIP(), []int{7}
}

func (x *Event) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *Event) GetEventTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EventTime
	}
	return nil
}

func (x *Event) GetEventType() EventType {
	if x != nil {
		return x.EventType
	}
	return EventType_EVENT_TYPE_UNSPECIFIED
}

func (x *Event) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *Event) GetDescription() string {
	if x != nil && x.Description != nil {
		return *x.Description
	}
	return ""
}

func (m *Event) GetEvent() isEvent_Event {
	if m != nil {
		return m.Event
	}
	return nil
}

func (x *Event) GetGenericEvent() *GenericEvent {
	if x, ok := x.GetEvent().(*Event_GenericEvent); ok {
		return x.GenericEvent
	}
	return nil
}

func (x *Event) GetGuessEvent() *GuessEvent {
	if x, ok := x.GetEvent().(*Event_GuessEvent); ok {
		return x.GuessEvent
	}
	return nil
}

func (x *Event) GetLeaderboardUpdatedEvent() *LeaderboardUpdatedEvent {
	if x, ok := x.GetEvent().(*Event_LeaderboardUpdatedEvent); ok {
		return x.LeaderboardUpdatedEvent
	}
	return nil
}

type isEvent_Event interface {
	isEvent_Event()
}

type Event_GenericEvent struct {
	GenericEvent *GenericEvent `protobuf:"bytes,10,opt,name=generic_event,json=genericEvent,proto3,oneof"`
}

type Event_GuessEvent struct {
	GuessEvent *GuessEvent `protobuf:"bytes,11,opt,name=guess_event,json=guessEvent,proto3,oneof"`
}

type Event_LeaderboardUpdatedEvent struct {
	LeaderboardUpdatedEvent *LeaderboardUpdatedEvent `protobuf:"bytes,12,opt,name=leaderboard_updated_event,json=leaderboardUpdatedEvent,proto3,oneof"`
}

func (*Event_GenericEvent) isEvent_Event() {}

func (*Event_GuessEvent) isEvent_Event() {}

func (*Event_LeaderboardUpdatedEvent) isEvent_Event() {}

var File_connectrpc_guesses_v1_events_proto protoreflect.FileDescriptor

var file_connectrpc_guesses_v1_events_proto_rawDesc = []byte{
	0x0a, 0x22, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x67, 0x75, 0x65,
	0x73, 0x73, 0x65, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x23, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2f,
	0x76, 0x31, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x38, 0x0a, 0x1d, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x52, 0x0a, 0x1e, 0x53,
	0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x30, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22,
	0x22, 0x0a, 0x20, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x47,
	0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x22, 0x55, 0x0a, 0x21, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65,
	0x41, 0x6c, 0x6c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x30, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x60, 0x0a, 0x0a, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49,
	0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x49, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x07, 0x63, 0x6f, 0x72, 0x72, 0x65, 0x63, 0x74, 0x22, 0x0e, 0x0a, 0x0c,
	0x47, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x22, 0x55, 0x0a, 0x17,
	0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3a, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4c, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x61, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x22, 0xf7, 0x03, 0x0a, 0x05, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a,
	0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x39, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54,
	0x69, 0x6d, 0x65, 0x12, 0x3f, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x25, 0x0a,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x48, 0x01, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x88, 0x01, 0x01, 0x12, 0x4a, 0x0a, 0x0d, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x5f,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x48, 0x00, 0x52, 0x0c, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x44, 0x0a, 0x0b, 0x67, 0x75, 0x65, 0x73, 0x73, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18,
	0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0a, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x6c, 0x0a, 0x19, 0x6c, 0x65, 0x61, 0x64, 0x65, 0x72,
	0x62, 0x6f, 0x61, 0x72, 0x64, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x17, 0x6c, 0x65, 0x61,
	0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x42, 0x07, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x0e, 0x0a,
	0x0c, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x2a, 0x6b, 0x0a,
	0x09, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56,
	0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49,
	0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1e, 0x0a, 0x1a, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x47, 0x55, 0x45, 0x53, 0x53, 0x5f, 0x53, 0x55, 0x42, 0x4d, 0x49,
	0x54, 0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x22, 0x0a, 0x1e, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x4c, 0x45, 0x41, 0x44, 0x45, 0x52, 0x42, 0x4f, 0x41, 0x52, 0x44,
	0x5f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x10, 0x03, 0x32, 0xab, 0x02, 0x0a, 0x0c, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x87, 0x01, 0x0a, 0x16,
	0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x34, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53,
	0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x35, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x30, 0x01, 0x12, 0x90, 0x01, 0x0a, 0x19, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72,
	0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x12, 0x37, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x38, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c,
	0x6c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x42, 0xf3, 0x01, 0x0a, 0x19, 0x63, 0x6f, 0x6d,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x42, 0x0b, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72,
	0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x53, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f, 0x6d, 0x69, 0x63,
	0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73,
	0x65, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2f, 0x76, 0x31,
	0x3b, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x76, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x47, 0x58,
	0xaa, 0x02, 0x15, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x56, 0x31, 0xca, 0x02, 0x15, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x5c, 0x56, 0x31,
	0xe2, 0x02, 0x21, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x5c, 0x56, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x17, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x3a, 0x3a, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x3a, 0x3a, 0x56, 0x31, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_connectrpc_guesses_v1_events_proto_rawDescOnce sync.Once
	file_connectrpc_guesses_v1_events_proto_rawDescData = file_connectrpc_guesses_v1_events_proto_rawDesc
)

func file_connectrpc_guesses_v1_events_proto_rawDescGZIP() []byte {
	file_connectrpc_guesses_v1_events_proto_rawDescOnce.Do(func() {
		file_connectrpc_guesses_v1_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_connectrpc_guesses_v1_events_proto_rawDescData)
	})
	return file_connectrpc_guesses_v1_events_proto_rawDescData
}

var file_connectrpc_guesses_v1_events_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_connectrpc_guesses_v1_events_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_connectrpc_guesses_v1_events_proto_goTypes = []any{
	(EventType)(0),                            // 0: connectrpc.guesses.v1.EventType
	(*SubscribeGuessesEventsRequest)(nil),     // 1: connectrpc.guesses.v1.SubscribeGuessesEventsRequest
	(*SubscribeGuessesEventsResponse)(nil),    // 2: connectrpc.guesses.v1.SubscribeGuessesEventsResponse
	(*SubscribeAllGuessesEventsRequest)(nil),  // 3: connectrpc.guesses.v1.SubscribeAllGuessesEventsRequest
	(*SubscribeAllGuessesEventsResponse)(nil), // 4: connectrpc.guesses.v1.SubscribeAllGuessesEventsResponse
	(*GuessEvent)(nil),                        // 5: connectrpc.guesses.v1.GuessEvent
	(*GenericEvent)(nil),                      // 6: connectrpc.guesses.v1.GenericEvent
	(*LeaderboardUpdatedEvent)(nil),           // 7: connectrpc.guesses.v1.LeaderboardUpdatedEvent
	(*Event)(nil),                             // 8: connectrpc.guesses.v1.Event
	(*LeaderboardData)(nil),                   // 9: connectrpc.guesses.v1.LeaderboardData
	(*timestamppb.Timestamp)(nil),             // 10: google.protobuf.Timestamp
}
var file_connectrpc_guesses_v1_events_proto_depIdxs = []int32{
	8,  // 0: connectrpc.guesses.v1.SubscribeGuessesEventsResponse.data:type_name -> connectrpc.guesses.v1.Event
	8,  // 1: connectrpc.guesses.v1.SubscribeAllGuessesEventsResponse.data:type_name -> connectrpc.guesses.v1.Event
	9,  // 2: connectrpc.guesses.v1.LeaderboardUpdatedEvent.data:type_name -> connectrpc.guesses.v1.LeaderboardData
	10, // 3: connectrpc.guesses.v1.Event.event_time:type_name -> google.protobuf.Timestamp
	0,  // 4: connectrpc.guesses.v1.Event.event_type:type_name -> connectrpc.guesses.v1.EventType
	6,  // 5: connectrpc.guesses.v1.Event.generic_event:type_name -> connectrpc.guesses.v1.GenericEvent
	5,  // 6: connectrpc.guesses.v1.Event.guess_event:type_name -> connectrpc.guesses.v1.GuessEvent
	7,  // 7: connectrpc.guesses.v1.Event.leaderboard_updated_event:type_name -> connectrpc.guesses.v1.LeaderboardUpdatedEvent
	1,  // 8: connectrpc.guesses.v1.EventService.SubscribeGuessesEvents:input_type -> connectrpc.guesses.v1.SubscribeGuessesEventsRequest
	3,  // 9: connectrpc.guesses.v1.EventService.SubscribeAllGuessesEvents:input_type -> connectrpc.guesses.v1.SubscribeAllGuessesEventsRequest
	2,  // 10: connectrpc.guesses.v1.EventService.SubscribeGuessesEvents:output_type -> connectrpc.guesses.v1.SubscribeGuessesEventsResponse
	4,  // 11: connectrpc.guesses.v1.EventService.SubscribeAllGuessesEvents:output_type -> connectrpc.guesses.v1.SubscribeAllGuessesEventsResponse
	10, // [10:12] is the sub-list for method output_type
	8,  // [8:10] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_connectrpc_guesses_v1_events_proto_init() }
func file_connectrpc_guesses_v1_events_proto_init() {
	if File_connectrpc_guesses_v1_events_proto != nil {
		return
	}
	file_connectrpc_guesses_v1_guesses_proto_init()
	file_connectrpc_guesses_v1_events_proto_msgTypes[7].OneofWrappers = []any{
		(*Event_GenericEvent)(nil),
		(*Event_GuessEvent)(nil),
		(*Event_LeaderboardUpdatedEvent)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_connectrpc_guesses_v1_events_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_connectrpc_guesses_v1_events_proto_goTypes,
		DependencyIndexes: file_connectrpc_guesses_v1_events_proto_depIdxs,
		EnumInfos:         file_connectrpc_guesses_v1_events_proto_enumTypes,
		MessageInfos:      file_connectrpc_guesses_v1_events_proto_msgTypes,
	}.Build()
	File_connectrpc_guesses_v1_events_proto = out.File
	file_connectrpc_guesses_v1_events_proto_rawDesc = nil
	file_connectrpc_guesses_v1_events_proto_goTypes = nil
	file_connectrpc_guesses_v1_events_proto_depIdxs = nil
}
